package test.jflex.metalexer;

public class ComponentParser {
    static public class Terminals {
        static public final short EOF = 0;
        static public final short IDENTIFIER = 1;
        static public final short ESCAPE_SEQUENCE = 2;
        static public final short SECTION_SEPARATOR = 3;
        static public final short STRING = 4;
        static public final short ASSIGN = 5;
        static public final short LSQUARE = 6;
        static public final short OPEN_MACRO = 7;
        static public final short LPAREN = 8;
        static public final short NOT = 9;
        static public final short UPTO = 10;
        static public final short DOT = 11;
        static public final short NON_META = 12;
        static public final short DELETE_TERMINATOR = 13;
        static public final short ACTION = 14;
        static public final short IMPORT_DIRECTIVE = 15;
        static public final short END_OF_LINE = 16;
        static public final short SLASH = 17;
        static public final short DECL_REGION = 18;
        static public final short INIT_REGION = 19;
        static public final short APPEND_REGION = 20;
        static public final short HELPER_DIRECTIVE = 21;
        static public final short START_DIRECTIVE = 22;
        static public final short EXTERN_DIRECTIVE = 23;
        static public final short INITTHROW_DIRECTIVE = 24;
        static public final short LEXTHROW_DIRECTIVE = 25;
        static public final short STATE_DIRECTIVE = 26;
        static public final short XSTATE_DIRECTIVE = 27;
        static public final short RPAREN = 28;
        static public final short ALT = 29;
        static public final short INHERIT_SECTION_SEPARATOR = 30;
        static public final short BEGINNING_OF_LINE = 31;
        static public final short ANY_PATTERN = 32;
        static public final short EOF_PATTERN = 33;
        static public final short OPEN_REPETITION_SPEC = 34;
        static public final short OPT = 35;
        static public final short PLUS = 36;
        static public final short STAR = 37;
        static public final short COMMA = 38;
        static public final short LANGLE = 39;
        static public final short CHAR_CLASS_NEGATE = 40;
        static public final short DASH = 41;
        static public final short GROUP_SEPARATOR = 42;
        static public final short CHAR_CLASS_CHAR = 43;
        static public final short RSQUARE = 44;
        static public final short OTHER_WHITESPACE = 45;
        static public final short NUMBER = 46;
        static public final short CLOSE_REPETITION_SPEC = 47;
        static public final short DELETE_DIRECTIVE = 48;
        static public final short CLOSE_RULE_GROUP = 49;
        static public final short RANGLE = 50;
        static public final short CLOSE_MACRO = 51;
        static public final short OPEN_RULE_GROUP = 52;
        static public final short COMPONENT_DIRECTIVE = 53;
        static public final short QUALIFIED_IDENTIFIER = 54;
        static public final short APPEND_WITH_START_DELIM_REGION = 55;

        static public final String[] NAMES = {
            "EOF",
            "IDENTIFIER",
            "ESCAPE_SEQUENCE",
            "SECTION_SEPARATOR",
            "STRING",
            "ASSIGN",
            "LSQUARE",
            "OPEN_MACRO",
            "LPAREN",
            "NOT",
            "UPTO",
            "DOT",
            "NON_META",
            "DELETE_TERMINATOR",
            "ACTION",
            "IMPORT_DIRECTIVE",
            "END_OF_LINE",
            "SLASH",
            "DECL_REGION",
            "INIT_REGION",
            "APPEND_REGION",
            "HELPER_DIRECTIVE",
            "START_DIRECTIVE",
            "EXTERN_DIRECTIVE",
            "INITTHROW_DIRECTIVE",
            "LEXTHROW_DIRECTIVE",
            "STATE_DIRECTIVE",
            "XSTATE_DIRECTIVE",
            "RPAREN",
            "ALT",
            "INHERIT_SECTION_SEPARATOR",
            "BEGINNING_OF_LINE",
            "ANY_PATTERN",
            "EOF_PATTERN",
            "OPEN_REPETITION_SPEC",
            "OPT",
            "PLUS",
            "STAR",
            "COMMA",
            "LANGLE",
            "CHAR_CLASS_NEGATE",
            "DASH",
            "GROUP_SEPARATOR",
            "CHAR_CLASS_CHAR",
            "RSQUARE",
            "OTHER_WHITESPACE",
            "NUMBER",
            "CLOSE_REPETITION_SPEC",
            "DELETE_DIRECTIVE",
            "CLOSE_RULE_GROUP",
            "RANGLE",
            "CLOSE_MACRO",
            "OPEN_RULE_GROUP",
            "COMPONENT_DIRECTIVE",
            "QUALIFIED_IDENTIFIER",
            "APPEND_WITH_START_DELIM_REGION"
        };
    }
}
